using CFX;
using CFX.ResourcePerformance;
using CFX.Structures;
using Sln.Iot.CFX.Parameters;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 设备参数修改事件
    /// </summary>
    public class StationParametersModifiedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle()
        {
            CFXMessage eve = null;
            try
            {
                eve = new StationParametersModified()
                {
                    ModifiedParameters = new List<Parameter>()
                    {
                        new TestParameter()
                        {
                            Test1 = "1",
                            Test2 = "2"
                        }
                    }
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
